Subject: [alpine-aports] [PATCH] testing/filebeat: new aport

From: Ramanathan Sivagurunathan <[email-masked]>
Date: Thu, 22 Sep 2016 05:32:21 +0000

https://www.elastic.co/products/beats/filebeat
Lightweight Shipper for Log Data
---
 testing/filebeat/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/filebeat/APKBUILD

diff --git a/testing/filebeat/APKBUILD b/testing/filebeat/APKBUILD
new file mode 100644
index 0000000..cea6350
--- /dev/null
+++ b/testing/filebeat/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Ramanathan Sivagurunathan <[email-masked]>
+# Maintainer: Ramanathan Sivagurunathan <[email-masked]>
+pkgname=filebeat
+pkgver=1.3.1
+pkgrel=0
+pkgdesc="Beats - Lightweight shippers for Elasticsearch & Logstash"
+pkgusers="root"
+url="https://www.elastic.co/products/beats"
+arch="all"
+license="ASL 2.0"
+depends=""
+depends_dev="go bash"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="beats-${pkgver}.tar.gz::https://github.com/elastic/beats/archive/v$pkgver.tar.gz"
+builddir="$srcdir/github.com/elastic/beats/filebeat"
+
+prepare() {
+    mkdir -p "$srcdir/github.com/elastic/"
+    mv "beats-${pkgver}" "$srcdir/github.com/elastic/beats"
+}
+
+build() {
+    export GOPATH="$srcdir/../"
+    cd "$builddir"
+    make || return 1
+}
+
+package() {
+    mkdir -p "$pkgdir"
+    cd "$pkgdir"
+    install -Dm644 "$builddir"/etc/filebeat.template.json ./etc/$pkgname/filebeat.template.json
+    install -Dm644 "$builddir/etc/filebeat.yml" ./etc/$pkgname/filebeat.yml
+    install -Dm755 "$builddir/filebeat" ./usr/bin/filebeat
+}
+
+md5sums="349e289a7f39e8e10a64204fcb014e09  beats-1.3.1.tar.gz"
+sha256sums="1d8e41b42a0b2dd59403795ff07cbfd8a9a76477731c38122aa9242b47b054e0  beats-1.3.1.tar.gz"
+sha512sums="60f6d4ae93bb01e74311d7ccc3d367707f888f58898b89a0ea7512c96b6e1369edf7dc2afe3615df97e8c311629d9fc1e9fc2f1abe8edcbb5bc5bcf47c82107c  beats-1.3.1.tar.gz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---